AWS CloudFormation
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new AWS CloudFormation action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Execute: create CloudFormation",
"disabled": true,
"type": "AWS_CLOUD_FORMATION",
"trigger_time": "ON_EVERY_EXECUTION",
"integration": {
"identifier": "yfsctqutdt",
"name": "slskopytko",
"type": "AMAZON",
"scope": "WORKSPACE"
},
"region": "us-west-2",
"execute_commands": [
"#VALIDATE",
"aws cloudformation validate-template --template-body file:///stacks/sampletemplate.json",
"#CREATE",
"aws cloudformation create-stack --stack-name testsstack --template-body file:///stacks/sampletemplate.json --parameters ParameterKey=Key1,ParameterValue=Val1 --tags Key=Env,Value=ENV",
"#WAIT UNTIL READY",
"aws cloudformation wait stack-create-complete --stack-name testsstack"
],
"setup_commands": [
"apt-get update",
"apt-get install -y curl"
],
"variables": [
{
"key": "env_key",
"value": "env_value",
"type": "VAR",
"settable": false,
"run_only_settable": false,
"encrypted": false,
"description": "gwghjuafon"
}
],
"timeout": 1800,
"retry_interval": 60,
"retry_count": 5,
"ignore_errors": true,
"current_revision": "21825f31ddce8a89b3ed9f4c92f038b339cde150",
"loop": [
"env_key"
]
}'STATUS200 OK